#----------------------------------------------------------------
# StartUp
#----------------------------------------------------------------

eval destroy [winfo child .]
wm title . "TkScan"

set s(unit)	mm
set c(outputto)	ImageEditor
set s(premodecurrent) 0
# The user configuration file, if exists, overwrites the above assignments.
if [file exists $c(userconf)] {source $c(userconf)}

# Initialization of some variables
set s(nrect)	0
set s(runscan)	0
set s(curscan)	0
set s(stop)	0

# Launch main window
mainWindow
previewcanvas
image create photo preview -data {}
set ip [expr $s(o)-1]
$w(prev) create image $ip $ip -image preview -anchor nw
set s(rect0) [$w(prev) create rectangle 0 0 0 0 -width 1 -outline $l(c2)]
settop $s(o) $s(o)
setbottom $s(maxpwidth) $s(maxpheight)
setunit $s(unit)
setmode $s(mode)
if [regexp "ImagEeditor|File|Printer|Fax|OCR" [lindex $argv [expr $argc-1]]] {
    set c(outputto) [lindex $argv [expr $argc-1]]
}
setoutputto $c(outputto)
stat_text "TkScan v$c(version)"

